Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 24 Jul 2008 01:49:26 +0200

Dnia środa 23. lipca 2008 17:14, Jean-François Veillette napisał:
> Le 08-07-22 à 21:25, Jakub Narebski a écrit :
>
> > First there is a question about the form of survey. Should we use web
> > based survey, as the survey before (http://www.survey.net.nz), sending
> > emails with link to this survey, or perhaps do email based survey,
> > with email Reply-To: address put for this survey alone?  Should we use
> > the same web survey service as before (found by Paolo Ciarrocchi for
> > first, 2006 survey, and used also for 2007 survey), or is there one
> > better (it would better be free, and without limitations on the number
> > of responses; in 2006 there were around 117 responses, in 2007 there
> > were 683 individual responses).
> 
> Consider
> http://www.survs.com
> It is still in beta but already years ahead of the proposed solution.
> I don't know about the specific of the beta (cost, availability,  
> etc.) but I had a live presentation of the product and it is an  
> amazingly great product !

It certainly _looks_ nice, but it lacks one very important feature
(or at least I was not able to find it): the ability to download *RAW*
data to analyse it off-line using more advanced tools (like for
example Perl script to clean-up responses; spreadsheet like Excel or
Gnumeric, or some statictics tool like R to analyze data, for example
do a correlation between responses to different questions).

http://www.survey.net.nz allows to download raw data in modified
CSV format (modified as it allows for line continuation).  See for
example raw data for Git User's Survey 2007 results:
  http://git.or.cz/gitwiki/GitSurvey2007?action=AttachFile&do=get&target=surveydata.csv

There is another nice thing that http://www.survey.net.nz is supposed
to have (but it doesn't unfortunately work; at least downloading
current layout of survey to tweak off-line doesn't/didn't work),
namely ability to create survey off-line using some specified text
format, and upload it, instead of creating it on-line (which might be
much work for large surveys).
 
-- 
Jakub Narebski
Poland